#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `email_template` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-email-template",
    version = "7.0.355",
    description = "Email Templates",
    long_description = 
"""

Email Templating (simplified version of the original Power Email by Openlabs).
==============================================================================

Lets you design complete email templates related to any OpenERP document (Sale
Orders, Invoices and so on), including sender, recipient, subject, body (HTML and
Text). You may also automatically attach files to your templates, or print and
attach a report.

For advanced use, the templates may include dynamic attributes of the document
they are related to. For example, you may use the name of a Partner's country
when writing to them, also providing a safe default in case the attribute is
not defined. Each template contains a built-in assistant to help with the
inclusion of these dynamic values.

If you enable the option, a composition assistant will also appear in the sidebar
of the OpenERP documents to which the template applies (e.g. Invoices).
This serves as a quick way to send a new email based on the template, after
reviewing and adapting the contents, if needed.
This composition assistant will also turn into a mass mailing system when called
for multiple documents at once.

These email templates are also at the heart of the marketing campaign system
(see the ``marketing_campaign`` application), if you need to automate larger
campaigns on any OpenERP document.

    **Technical note:** only the templating system of the original Power Email by Openlabs was kept.
    
""",
    url = "http://openerp.com",
    author = "OpenERP,OpenLabs",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.email_template': ".",
    },
    packages = ["openerp.addons.email_template","openerp.addons.email_template.tests","openerp.addons.email_template.wizard"],
    package_data = {
        'openerp.addons.email_template': ["i18n/*.po*","res_partner_demo.yml","email_template_view.xml","res_partner_view.xml","images/1_email_account.jpeg","images/2_email_template.jpeg","images/3_emails.jpeg","static/src/img/email_template_save.png","static/src/img/email_template.png","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/en_GB.po","i18n/cs.po","i18n/fi.po","i18n/pt_BR.po","i18n/bg.po","i18n/es_VE.po","i18n/fa_AF.po","i18n/ja.po","i18n/ro.po","i18n/sr@latin.po","i18n/es.po","i18n/mn.po","i18n/es_CL.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/es_EC.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/sr.po","i18n/lt.po","i18n/hu.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/nl_BE.po","i18n/nb.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","security/ir.model.access.csv","wizard/email_template_preview_view.xml","wizard/mail_compose_message_view.xml","wizard/email_template_preview_view.xml","email_template_view.xml","res_partner_view.xml","wizard/mail_compose_message_view.xml","security/ir.model.access.csv","res_partner_demo.yml"],
    },
    install_requires = ["openerp-mail","Jinja2"],
    tests_require = ["unittest2"],
)
